Page MenuHomeFreeBSD

retire LLVM_LIBUNWIND option
ClosedPublic

Authored by emaste on Jan 10 2020, 5:25 PM.

Details

Summary

LLVM's libunwind is (will be) used on all CPU architectures.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste created this revision.Jan 10 2020, 5:25 PM
emaste added inline comments.
lib/Makefile
180–181 ↗(On Diff #66592)

move these into the main list (but I need to make sure there isn't some ordering problem)

share/mk/src.opts.mk
390 ↗(On Diff #66592)

oops this PR reference should go too

targets/pseudo/userland/gnu/Makefile.depend
41–42 ↗(On Diff #66592)

not sure why this empty block is here, it could be cleaned up now

brooks accepted this revision.Jan 10 2020, 10:13 PM
brooks added a subscriber: brooks.
brooks added inline comments.
lib/Makefile
180–181 ↗(On Diff #66592)

Hmm, moving this up to line 101 should be safe since everything between doesn't add to SUBDIR or is added later as SUBDIR.yes. IIRC, we do have an occasional race involving libgcc_s IIRC, but I don't think anyone has managed to track it down.

This revision is now accepted and ready to land.Jan 10 2020, 10:13 PM
emaste updated this revision to Diff 66685.Jan 13 2020, 2:46 PM

move libgcc_eh/libgcc_s into main list

This revision now requires review to proceed.Jan 13 2020, 2:46 PM
emaste updated this revision to Diff 68644.Feb 21 2020, 5:57 PM
  • rebase
  • add UPDATING
This revision was not accepted when it landed; it landed in state Needs Review.Feb 29 2020, 12:44 PM
This revision was automatically updated to reflect the committed changes.